be.fgov.ehealth.dics.protocol.v4

## Class GetListOfVmpGroupsResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
      - - be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType
        - - be.fgov.ehealth.dics.protocol.v4.GetListOfVmpGroupsResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:39+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetListOfVmpGroupsResponse
      extends ListConsultationResponseType
      implements Serializable

  Java class for GetListOfVmpGroupsResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetListOfVmpGroupsResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ListConsultationResponseType">
             <sequence>
               <element name="VmpGroup" type="{urn:be:fgov:ehealth:dics:protocol:v4}VmpGroupListType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetListOfVmpGroupsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<VmpGroupListType>` | `getVmpGroups()` Gets the value of the vmpGroups property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType

      `getTotal, setTotal`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType

      `getMaxElements, getOffset, setMaxElements, setOffset`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetListOfVmpGroupsResponse

          public GetListOfVmpGroupsResponse()

  - ### Method Detail

    - #### getVmpGroups

          public List<VmpGroupListType> getVmpGroups()

      Gets the value of the vmpGroups property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the vmpGroups property.

      For example, to add a new item, do as follows:

              getVmpGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `VmpGroupListType`

Connector Package PERSMIDWIFE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.